# Class CIM_StaticForwardingEntry
extends CIM_LogicalElement

A StaticForwardingEntry represents an entry in the static (destination-address filtering) database associated with the TransparentBridgingService. The entry is Weak to the Service as specified by TransparentBridgingStatic Forwarding.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ManagedSystemElement
|
+--CIM_LogicalElement
|
+--CIM_StaticForwardingEntry

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | A StaticForwardingEntry represents an entry in the static (destination-address filtering) database associated with the TransparentBridgingService. The entry is Weak to the Service as specified by TransparentBridgingStatic Forwarding.
UMLPackagePath | string | CIM::Network::SwitchingBridging
Version | string | 2.7.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
CreationClassName | string |
Description | string | CreationClassName indicates the name of the class or the subclass used in the creation of an instance. When used with the other key properties of this class, this property allows all instances of this class and its subclasses to be uniquely identified.
Key | boolean | true
MaxLen | uint32 | 256
MACAddress | string |
Description | string | Destination MAC address (unicast, multicast or broadcast) to which the filtering information applies. Note that the MAC address is formatted as twelve hexadecimal digits (e.g., "010203040506"), with each pair representing one of the six octets of the MAC address in "canonical" bit order according to RFC 2469.
Key | boolean | true
MappingStrings | string | MIB.IETF|BRIDGE-MIB.dot1dStaticAddress
MaxLen | uint32 | 12
ServiceCreationClassName | string |
Description | string | The scoping Service's CreationClassName.
Key | boolean | true
MaxLen | uint32 | 256
Propagated | string | CIM_Service.CreationClassName
ServiceName | string |
Description | string | The scoping Service's Name.
Key | boolean | true
MaxLen | uint32 | 256
Propagated | string | CIM_Service.Name
StaticStatus | uint16 |
Description | string | The status of the entry.
MappingStrings | string | MIB.IETF|BRIDGE-MIB.dot1dStaticStatus
ValueMap | string | 1, 2, 3, 4, 5
Values | string | Other, Invalid, Permanent, DeleteOnReset, DeleteOnTimeout
SystemCreationClassName | string |
Description | string | The scoping System's CreationClassName.
Key | boolean | true
MaxLen | uint32 | 256
Propagated | string | CIM_System.CreationClassName
SystemName | string |
Description | string | The scoping System's Name.
Key | boolean | true
MaxLen | uint32 | 256
Propagated | string | CIM_System.Name
AllowedToGo | uint16[] |
Description | string | The ports to which frames with the destination MAC address arriving on the port represented by the SwitchPortStaticForwarding association are allowed to be forwarded.

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CommunicationStatus | uint16 | CIM_ManagedSystemElement
Description | string | CIM_ManagedElement
DetailedStatus | uint16 | CIM_ManagedSystemElement
ElementName | string | CIM_ManagedElement
HealthState | uint16 | CIM_ManagedSystemElement
InstallDate | datetime | CIM_ManagedSystemElement
InstanceID | string | CIM_ManagedElement
Name | string | CIM_ManagedSystemElement
OperatingStatus | uint16 | CIM_ManagedSystemElement
PrimaryStatus | uint16 | CIM_ManagedSystemElement
Status | string | CIM_ManagedSystemElement
OperationalStatus | uint16[] | CIM_ManagedSystemElement
StatusDescriptions | string[] | CIM_ManagedSystemElement

## Class Methods